CAn u please tell wats the prob in runnning my project?

[~/kallori]# rake db:migrate
(in /home/gm/kallori)
no such file to load -- hmac-sha1
/usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in
`gem_original_require'
/usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `require'
/home/gm/kallori/vendor/rails/activesupport/lib/active_support/
dependencies.rb:510:in `require'
/home/gm/kallori/vendor/rails/activesupport/lib/active_support/
dependencies.rb:355:in `new_constants_in'
/home/gm/kallori/vendor/rails/activesupport/lib/active_support/
dependencies.rb:510:in `require'
/home/gm/kallori/vendor/gems/oauth-0.3.1/lib/oauth/signature/hmac/
sha1.rb:3
/usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in
`gem_original_require'
/usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `require'
/home/gm/kallori/vendor/rails/activesupport/lib/active_support/
dependencies.rb:510:in `require'
/home/gm/kallori/vendor/rails/activesupport/lib/active_support/
dependencies.rb:355:in `new_constants_in'
/home/gm/kallori/vendor/rails/activesupport/lib/active_support/
dependencies.rb:510:in `require'
/home/gm/kallori/vendor/gems/oauth-0.3.1/lib/oauth/client/helper.rb:5
/usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in
`gem_original_require'
/usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `require'
/home/gm/kallori/vendor/rails/activesupport/lib/active_support/
dependencies.rb:510:in `require'
/home/gm/kallori/vendor/rails/activesupport/lib/active_support/
dependencies.rb:355:in `new_constants_in'
/home/gm/kallori/vendor/rails/activesupport/lib/active_support/
dependencies.rb:510:in `require'
/home/gm/kallori/vendor/gems/oauth-0.3.1/lib/oauth.rb:1
/usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in
`gem_original_require'
/usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `require'
/home/gm/kallori/vendor/rails/activesupport/lib/active_support/
dependencies.rb:510:in `require'
/home/gm/kallori/vendor/rails/activesupport/lib/active_support/
dependencies.rb:355:in `new_constants_in'
/home/gm/kallori/vendor/rails/activesupport/lib/active_support/
dependencies.rb:510:in `require'
/home/gm/kallori/config/../vendor/rails/railties/lib/rails/
gem_dependency.rb:61:in `load'
/home/gm/kallori/config/../vendor/rails/railties/lib/initializer.rb:
250:in `load_gems'
/home/gm/kallori/config/../vendor/rails/railties/lib/initializer.rb:
250:in `each'
/home/gm/kallori/config/../vendor/rails/railties/lib/initializer.rb:
250:in `load_gems'
/home/gm/kallori/config/../vendor/rails/railties/lib/initializer.rb:
141:in `process'
/home/gm/kallori/config/../vendor/rails/railties/lib/initializer.rb:
97:in `send'
/home/gm/kallori/config/../vendor/rails/railties/lib/initializer.rb:
97:in `run'
/home/gm/kallori/config/environment.rb:21
/usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in
`gem_original_require'
/usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `require'
/home/gm/kallori/vendor/rails/activesupport/lib/active_support/
dependencies.rb:510:in `require'
/home/gm/kallori/vendor/rails/activesupport/lib/active_support/
dependencies.rb:355:in `new_constants_in'
/home/gm/kallori/vendor/rails/activesupport/lib/active_support/
dependencies.rb:510:in `require'
/home/gm/kallori/vendor/rails/railties/lib/tasks/misc.rake:3
/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:617:in `call'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:617:in `execute'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:612:in `each'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:612:in `execute'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:578:in
`invoke_with_call_chain'
/usr/lib/ruby/1.8/monitor.rb:242:in `synchronize'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:571:in
`invoke_with_call_chain'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:588:in
`invoke_prerequisites'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:585:in `each'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:585:in
`invoke_prerequisites'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:577:in
`invoke_with_call_chain'
/usr/lib/ruby/1.8/monitor.rb:242:in `synchronize'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:571:in
`invoke_with_call_chain'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:564:in `invoke'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:2019:in
`invoke_task'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:1997:in `top_level'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:1997:in `each'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:1997:in `top_level'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:2036:in
`standard_exception_handling'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:1991:in `top_level'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:1970:in `run'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:2036:in
`standard_exception_handling'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:1967:in `run'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/bin/rake:31
/usr/bin/rake:19:in `load'
/usr/bin/rake:19
no such file to load -- hpricot_scan
/usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in
`gem_original_require'
/usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `require'
/home/gm/kallori/vendor/rails/activesupport/lib/active_support/
dependencies.rb:510:in `require'
/home/gm/kallori/vendor/rails/activesupport/lib/active_support/
dependencies.rb:355:in `new_constants_in'
/home/gm/kallori/vendor/rails/activesupport/lib/active_support/
dependencies.rb:510:in `require'
/home/gm/kallori/vendor/gems/hpricot-0.8.1/lib/hpricot.rb:20
/usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in
`gem_original_require'
/usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `require'
/home/gm/kallori/vendor/rails/activesupport/lib/active_support/
dependencies.rb:510:in `require'
/home/gm/kallori/vendor/rails/activesupport/lib/active_support/
dependencies.rb:355:in `new_constants_in'
/home/gm/kallori/vendor/rails/activesupport/lib/active_support/
dependencies.rb:510:in `require'
/home/gm/kallori/config/../vendor/rails/railties/lib/rails/
gem_dependency.rb:61:in `load'
/home/gm/kallori/config/../vendor/rails/railties/lib/initializer.rb:
250:in `load_gems'
/home/gm/kallori/config/../vendor/rails/railties/lib/initializer.rb:
250:in `each'
/home/gm/kallori/config/../vendor/rails/railties/lib/initializer.rb:
250:in `load_gems'
/home/gm/kallori/config/../vendor/rails/railties/lib/initializer.rb:
141:in `process'
/home/gm/kallori/config/../vendor/rails/railties/lib/initializer.rb:
97:in `send'
/home/gm/kallori/config/../vendor/rails/railties/lib/initializer.rb:
97:in `run'
/home/gm/kallori/config/environment.rb:21
/usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in
`gem_original_require'
/usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `require'
/home/gm/kallori/vendor/rails/activesupport/lib/active_support/
dependencies.rb:510:in `require'
/home/gm/kallori/vendor/rails/activesupport/lib/active_support/
dependencies.rb:355:in `new_constants_in'
/home/gm/kallori/vendor/rails/activesupport/lib/active_support/
dependencies.rb:510:in `require'
/home/gm/kallori/vendor/rails/railties/lib/tasks/misc.rake:3
/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:617:in `call'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:617:in `execute'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:612:in `each'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:612:in `execute'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:578:in
`invoke_with_call_chain'
/usr/lib/ruby/1.8/monitor.rb:242:in `synchronize'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:571:in
`invoke_with_call_chain'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:588:in
`invoke_prerequisites'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:585:in `each'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:585:in
`invoke_prerequisites'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:577:in
`invoke_with_call_chain'
/usr/lib/ruby/1.8/monitor.rb:242:in `synchronize'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:571:in
`invoke_with_call_chain'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:564:in `invoke'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:2019:in
`invoke_task'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:1997:in `top_level'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:1997:in `each'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:1997:in `top_level'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:2036:in
`standard_exception_handling'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:1991:in `top_level'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:1970:in `run'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:2036:in
`standard_exception_handling'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:1967:in `run'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/bin/rake:31
/usr/bin/rake:19:in `load'
/usr/bin/rake:19
rake aborted!
no such file to load -- ferret

Just hazarding a guess, I'd say you're missing ferret. which is
relying on a hmac-sh1 library

where to get hmac-sha1